# This SRPM will build the package "R-base-gnome" (R with gnome
# support) if the macro %pkg is defined as "gnome", or R-base
# (R without gnome) if %pkg is defined as R-base.

%define ver	0.64.2
%define rel	3
%define prefix	/usr
%define pkg	base

Summary: A language for data analysis and graphics
Name: R-%{pkg}
Version: %ver
Release: %rel
Source0: ftp://ftp.ci.tuwien.ac.at/R/src/base/R-%{ver}.tgz
Patch0: R-LIBINDEX.patch
Copyright: GPL
Group: Applications/Engineering
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
URL: http://www.ci.tuwien.ac.at/R/
BuildRoot: /var/tmp/R-base-root
Icon: logosm-trans.gif
Provides: R-base
Requires: sed
Prefix: %prefix
Conflicts: R-contrib <= 1998.11.16
Conflicts: R-VR <= 5.3pl027
Obsoletes: R-gnome
Excludearch: sparc

%description
A system for statistical computation and graphics. R consists of a
language plus a run-time environment with graphics, a debugger, access
to certain system functions, and the ability to run programs stored in
script files.

The design of R has been heavily influenced by two existing languages:
Becker, Chambers & Wilks' S and Sussman's Scheme. Whereas the resulting
language is very similar in appearance to S, the underlying implementation
and semantics are derived from Scheme.


%prep
%setup -n R-%{ver}
%patch0 -p1

%ifarch alpha
   export FFLAGS="-mieee"	#Not required for R > 0.65
%endif
%ifarch sparc
   # Work around egcs compiler bug by not optimizing.
   export FFLAGS="-g"	
   export LIBS="-lieee"
%endif

if [ %pkg = "base-gnome" ]; then
   ./configure --prefix=${RPM_BUILD_ROOT}/%{prefix} --with-gnome
else
   ./configure --prefix=${RPM_BUILD_ROOT}/%{prefix} 
fi

%build
make 
make check
make dvi

%install
make install
install -m 755  bin/LIBINDEX ${RPM_BUILD_ROOT}%{prefix}/lib/R/bin/LIBINDEX

mv ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/manual ${RPM_BUILD_DIR}/R-%{version}
gzip ${RPM_BUILD_DIR}/R-%{version}/manual/*

#Fix location of RHOME in shell wrapper
#
cd ${RPM_BUILD_ROOT}/%{prefix}
sed -e "s@RHOME=.*@RHOME=%{prefix}/lib/R@" lib/R/bin/R > bin/R
chmod 755 bin/R
cp bin/R lib/R/bin/R

# Remove package indices. These files may be changed when R "packages"
# (third-party dynamically loadable libraries with added functionality)
# are installed, so we remove them here to avoid problems with the
# verify script. They are rebuilt by the postinstall script.
#
rm -f ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/html/function.html
rm -f ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/html/packages.html
rm -f ${RPM_BUILD_ROOT}%{prefix}/lib/R/library/LibIndex

%files 
%defattr(-, root, root)
%{prefix}/bin/R
%{prefix}/bin/Rd2txt
%{prefix}/bin/Rdconv
%{prefix}/bin/Rdindex
%{prefix}/bin/Sd2Rd
%{prefix}/man/man1/R.1
%{prefix}/man/man1/Rd2txt.1
%{prefix}/man/man1/Rdconv.1
%{prefix}/man/man1/Rdindex.1
%{prefix}/man/man1/Sd2Rd.1
%{prefix}/lib/R
%doc BUGS COPYING COPYRIGHTS FAQ INSTALL MIRROR-SITES NEWS
%doc PLATFORMS PROJECTS README RESOURCES TASKS
%doc manual

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ $RPM_INSTALL_PREFIX != %prefix ]; then
   cd ${RPM_INSTALL_PREFIX}
   sed -e "s@RHOME=.*@RHOME=${RPM_INSTALL_PREFIX}/lib/R@" lib/R/bin/R > bin/R
   chmod 755 bin/R
   cp bin/R lib/R/bin/R
fi

${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%preun 
if [ $1 = 0 ]; then
   rm -f ${RPM_INSTALL_PREFIX}/lib/R/doc/html/function.html
   rm -f ${RPM_INSTALL_PREFIX}/lib/R/doc/html/packages.html
   rm -f ${RPM_INSTALL_PREFIX}/lib/R/library/LibIndex
fi

%changelog
* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- sparc fails build, Excluding sparc from build
- rebuilt to be included with Powertools 6.1

* Mon Jul 12 1999 Martyn Plummer <plummer@iarc.fr>
- On Sparc, an egcs-g77 bug causes "make check" to fail on the line
  "eigen(cbind( 1,3:1,1:3))". This is a compiler bug which can be
  worked around by not optimizing. Added fix for Sparc

* Fri Jul 2 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.64.2-1]
- Alpha support fixes by Naoki Takebayashi <ntakebay@bio.indiana.edu>
  FFLAGS="-mieee -g -O2" is added for Alpha.  This flag will not be needed
  in the next release (0.65) because configure will take care of it.
  CFLAGS -O1 is dropped.
- Exclusivearch:i386 tag dropped.

* Mon Jun 29 1999 Tim Powers <timp@redhat.com>
  [R-base-0.64.1-6]
- moved changelog to end of spec
- rebuilt package for Powertools 6.1
- added ExclusiveArch: i386 and the Conflicts and Obsoletes lines

* Thu Jun 3 1999 Martyn Plummer <plummer@iarc.fr>
  [R-base-0.64.1-5]
- Builds "R-base-gnome" with GNOME support and "R-base" without.
- Dropped ncurses3 dependency.

* Fri May 14 1999 Martyn Plummer <plummer@iarc.fr>
- [R-base-0.64.1-4]
- Fixed bug in R-LIBINDEX.patch that prevents creation
  of packages.html and functions.html.
- Fixed bug in preun base script so that it only executes
  when last package is removed.
- manual source is now compressed and in rpm "doc" directory.

* Tue May 11 1999 Martyn Plummer <plummer@iarc.fr>
- [R-base-0.64.1-3]
- Installs reference and manual source into $RHOME/doc/manual

* Mon May 10 1999 Martyn Plummer <plummer@iarc.fr>
- [R-base-0.64.1-2]
- RHOME in shell wrapper in $RHOME/bin/R also fixed:
  in %install and %post base script. Allows "R CMD"
